phpBB Login Form SQL Injection

High Nessus Network Monitor Plugin ID 2411

Synopsis

The remote host is vulnerable to a SQL Injection attack.

Description

The remote host is running phpBB. There is a flaw in the remote software that may allow anyone to inject arbitrary SQL commands in the login form. An attacker may exploit this flaw to bypass the authentication of the remote host or execute arbitrary SQL statements against the remote database.

Solution

Upgrade or patch according to vendor recommendations.

Plugin Details

Severity: High

ID: 2411

File Name: 2411.prm

Family: CGI

Published: 2004/11/22

Modified: 2016/01/15

Dependencies: 1442

Nessus ID: 15780

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 7

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:H/RL:O/RC:C

Reference Information

BID: 11716